SND_PCM_LIB_MALLOC_P(9)

NAME
snd_pcm_lib_malloc_pages - allocate the DMA buffer

SYNOPSIS

int snd_pcm_lib_malloc_pages(struct snd_pcm_substream * substream, size_t size);

ARGUMENTS

substream
    the substream to allocate the DMA buffer to

size
    the requested buffer size in bytes

DESCRIPTION

Allocates the DMA buffer on the BUS type given earlier to snd_pcm_lib_preallocate_xxx_pages.

RETURN

1 if the buffer is changed, 0 if not changed, or a negative code on failure.

COPYRIGHT